<?php
session_start();
require_once ("../conexion.php");
require_once('../include/sesiones.php');

$venad_id=$_POST["venad_id"];
$can=mysqli_query($con,"SELECT * from venta_apartadas_detalle where venad_id='$venad_id'") or die(mysqli_error($con)); 
$dato=mysqli_fetch_array($can);
$art_art_id=$dato['art_art_id'];
$venad_art_id=$dato['venad_art_id'];
$venad_cantidad=$dato['venad_cantidad'];
$venad_x_cantidad=$dato['venad_x_cantidad'];

$ventas_apartadas_vena_id=$dato['ventas_apartadas_vena_id'];

$venad_precio=$_POST["venad_precio"];
$cantidad=$_POST["cantidad"];
$venad_desc=$_POST["venad_desc"];



$cana=mysqli_query($con,"SELECT * from articulos_has_bodegas where art_id='$art_art_id' AND articulos_art_id='$venad_art_id' and sucursal='$sucursal'") or die(mysqli_error($con)); 
$datoa=mysqli_fetch_array($cana);
$art_cantidad=$datoa['art_cantidad'];

$cantidad1=$cantidad*$venad_x_cantidad;
$venad_cantidad1=$venad_cantidad*$venad_x_cantidad;

if ($cantidad1>$venad_cantidad) 
{
	$resta=$cantidad1-$venad_cantidad1;
    $total_c=$art_cantidad-$resta;
}
else if($cantidad1<$venad_cantidad1)
{
	$suma=$venad_cantidad1-$cantidad1;
    $total_c=$art_cantidad+$suma;
}
else if($cantidad1=$venad_cantidad1)
{
    $total_c=$art_cantidad;
}
  $total_c;

if ($bajo_cero=='Si') {
  
  $sql=mysqli_query($con,"UPDATE venta_apartadas_detalle set venad_precio='$venad_precio',venad_cantidad='$cantidad',venad_desc='$venad_desc' where venad_id='$venad_id'") or die(mysqli_error($con));

  $sql=mysqli_query($con,"UPDATE articulos_has_bodegas set art_cantidad='$total_c' where art_id='$art_art_id' AND articulos_art_id='$venad_art_id' and sucursal='$sucursal'") or die(mysqli_error($con)); 

  } else {

  if ($total_c>=0) 
    {

      $sql=mysqli_query($con,"UPDATE venta_apartadas_detalle set venad_precio='$venad_precio',venad_cantidad='$cantidad',venad_desc='$venad_desc' where venad_id='$venad_id'") or die(mysqli_error($con));

      $sql=mysqli_query($con,"UPDATE articulos_has_bodegas set art_cantidad='$total_c' where art_id='$art_art_id' AND articulos_art_id='$venad_art_id' and sucursal='$sucursal'") or die(mysqli_error($con));   
     
    } else {

        echo '<div class="alert alert-danger alert-dismissable">
              <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
              <strong>No puedes Agregar una cantidad mayor a la existente!</strong> 
              </div>';
      }	
}
?>